Debian セキュリティ勧告

DSA-325-1 eldav -- 安全でない一時ファイル

報告日時:
2003-06-19
影響を受けるパッケージ:
eldav
危険性:
あり
参考セキュリティデータベース:
(SecurityFocus の) Bugtraq データベース: BugTraq ID 7987.
Mitre の CVE 辞書: CVE-2003-0438.
詳細:

Emacs 用の WebDAV クライアント eldav が適切なセキュリティ予防措置を取ることなく一時ファイルを作成します。 ローカルユーザはこの脆弱性を悪用して、emacs や eldav を実行しているユーザの権限でファイルの作成や上書きが可能です。

安定版 (stable) ディストリビューション (woody) では、この問題はバージョン 0.0.20020411-1woody1 で修正されています。

旧安定版 (old stable) ディストリビューション (potato) には eldav パッケージは含まれません。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバージョン 0.7.2-1 で修正されています。

直ちに eldav パッケージを更新することを勧めます。

修正:

Debian GNU/Linux 3.0 (woody)

ソース:
http://security.debian.org/pool/updates/main/e/eldav/eldav_0.0.20020411-1woody1.dsc
http://security.debian.org/pool/updates/main/e/eldav/eldav_0.0.20020411-1woody1.diff.gz
http://security.debian.org/pool/updates/main/e/eldav/eldav_0.0.20020411.orig.tar.gz
アーキテクチャ非依存コンポーネント:
http://security.debian.org/pool/updates/main/e/eldav/eldav_0.0.20020411-1woody1_all.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。